import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataKubernetesIngressV1Config extends cdktf.TerraformMetaArguments {
    /**
     * metadata block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html#metadata DataKubernetesIngressV1#metadata}
     *
     * @stability stable
     */
    readonly metadata: DataKubernetesIngressV1Metadata;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecDefaultBackendResource extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiGroup(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecDefaultBackendServicePort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): number;
    /**
     * @stability stable
     */
    get number(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecDefaultBackendService extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecDefaultBackend extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get resource(): any;
    /**
     * @stability stable
     */
    get service(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttpPathBackendResource extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiGroup(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttpPathBackendServicePort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): number;
    /**
     * @stability stable
     */
    get number(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttpPathBackendService extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttpPathBackend extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get resource(): any;
    /**
     * @stability stable
     */
    get service(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttpPath extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get backend(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get pathType(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRuleHttp extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecRule extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get http(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1SpecTls extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hosts(): string[];
    /**
     * @stability stable
     */
    get secretName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1Spec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultBackend(): any;
    /**
     * @stability stable
     */
    get ingressClassName(): string;
    /**
     * @stability stable
     */
    get rule(): any;
    /**
     * @stability stable
     */
    get tls(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1StatusLoadBalancerIngress extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get ip(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1StatusLoadBalancer extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get ingress(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1Status extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get loadBalancer(): any;
}
/**
 * @stability stable
 */
export interface DataKubernetesIngressV1Metadata {
    /**
     * An unstructured key value map stored with the ingress that may be used to store arbitrary metadata.
     *
     * More info: http://kubernetes.io/docs/user-guide/annotations
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html#annotations DataKubernetesIngressV1#annotations}
     *
     * @stability stable
     */
    readonly annotations?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Map of string keys and values that can be used to organize and categorize (scope and select) the ingress.
     *
     * May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html#labels DataKubernetesIngressV1#labels}
     *
     * @stability stable
     */
    readonly labels?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Name of the ingress, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html#name DataKubernetesIngressV1#name}
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Namespace defines the space within which name of the ingress must be unique.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html#namespace DataKubernetesIngressV1#namespace}
     *
     * @stability stable
     */
    readonly namespace?: string;
}
export declare function dataKubernetesIngressV1MetadataToTerraform(struct?: DataKubernetesIngressV1MetadataOutputReference | DataKubernetesIngressV1Metadata): any;
/**
 * @stability stable
 */
export declare class DataKubernetesIngressV1MetadataOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): DataKubernetesIngressV1Metadata | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: DataKubernetesIngressV1Metadata | undefined);
    private _annotations?;
    /**
     * @stability stable
     */
    get annotations(): {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set annotations(value: {
        [key: string]: string;
    } | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAnnotations(): void;
    /**
     * @stability stable
     */
    get annotationsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set labels(value: {
        [key: string]: string;
    } | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namespace?;
    /**
     * @stability stable
     */
    get namespace(): string;
    /**
     * @stability stable
     */
    set namespace(value: string);
    /**
     * @stability stable
     */
    resetNamespace(): void;
    /**
     * @stability stable
     */
    get namespaceInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html kubernetes_ingress_v1}.
 *
 * @stability stable
 */
export declare class DataKubernetesIngressV1 extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/kubernetes/d/ingress_v1.html kubernetes_ingress_v1} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataKubernetesIngressV1Config);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    spec(index: string): DataKubernetesIngressV1Spec;
    /**
     * @stability stable
     */
    status(index: string): DataKubernetesIngressV1Status;
    private _metadata;
    /**
     * @stability stable
     */
    get metadata(): DataKubernetesIngressV1MetadataOutputReference;
    /**
     * @stability stable
     */
    putMetadata(value: DataKubernetesIngressV1Metadata): void;
    /**
     * @stability stable
     */
    get metadataInput(): DataKubernetesIngressV1Metadata | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
