import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataKubernetesPodV1Config extends cdktf.TerraformMetaArguments {
    /**
     * metadata block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#metadata DataKubernetesPodV1#metadata}
     *
     * @stability stable
     */
    readonly metadata: DataKubernetesPodV1Metadata;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreferenceMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecutionPreference extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preference(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTermMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecutionNodeSelectorTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeSelectorTerm(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityNodeAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTermLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecutionPodAffinityTerm extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityPreferredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get podAffinityTerm(): any;
    /**
     * @stability stable
     */
    get weight(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecutionLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinityRequiredDuringSchedulingIgnoredDuringExecution extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get namespaces(): string[];
    /**
     * @stability stable
     */
    get topologyKey(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinityPodAntiAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get preferredDuringSchedulingIgnoredDuringExecution(): any;
    /**
     * @stability stable
     */
    get requiredDuringSchedulingIgnoredDuringExecution(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecAffinity extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nodeAffinity(): any;
    /**
     * @stability stable
     */
    get podAffinity(): any;
    /**
     * @stability stable
     */
    get podAntiAffinity(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvValueFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnv extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerEnvFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLifecycle extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerLivenessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerPort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerReadinessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerResources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): any;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): any;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): any;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerStartupProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerStartupProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainerVolumeMount extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecContainer extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): any;
    /**
     * @stability stable
     */
    get stdinOnce(): any;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): any;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecDnsConfigOption extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecDnsConfig extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get nameservers(): string[];
    /**
     * @stability stable
     */
    get option(): any;
    /**
     * @stability stable
     */
    get searches(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecHostAliases extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get hostnames(): string[];
    /**
     * @stability stable
     */
    get ip(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecImagePullSecrets extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromConfigMapKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFromSecretKeyRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvValueFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapKeyRef(): any;
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
    /**
     * @stability stable
     */
    get secretKeyRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnv extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
    /**
     * @stability stable
     */
    get valueFrom(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvFromConfigMapRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvFromSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerEnvFrom extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMapRef(): any;
    /**
     * @stability stable
     */
    get prefix(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStartTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePostStart extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStopTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecyclePreStop extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLifecycle extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get postStart(): any;
    /**
     * @stability stable
     */
    get preStop(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerLivenessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerPort extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerPort(): number;
    /**
     * @stability stable
     */
    get hostIp(): string;
    /**
     * @stability stable
     */
    get hostPort(): number;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get protocol(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerReadinessProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerResources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get limits(): any;
    /**
     * @stability stable
     */
    get requests(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerSecurityContextCapabilities extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get add(): string[];
    /**
     * @stability stable
     */
    get drop(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get allowPrivilegeEscalation(): any;
    /**
     * @stability stable
     */
    get capabilities(): any;
    /**
     * @stability stable
     */
    get privileged(): any;
    /**
     * @stability stable
     */
    get readOnlyRootFilesystem(): any;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeExec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get command(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeHttpGetHttpHeader extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeHttpGet extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get host(): string;
    /**
     * @stability stable
     */
    get httpHeader(): any;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get port(): string;
    /**
     * @stability stable
     */
    get scheme(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerStartupProbeTcpSocket extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get port(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerStartupProbe extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get exec(): any;
    /**
     * @stability stable
     */
    get failureThreshold(): number;
    /**
     * @stability stable
     */
    get httpGet(): any;
    /**
     * @stability stable
     */
    get initialDelaySeconds(): number;
    /**
     * @stability stable
     */
    get periodSeconds(): number;
    /**
     * @stability stable
     */
    get successThreshold(): number;
    /**
     * @stability stable
     */
    get tcpSocket(): any;
    /**
     * @stability stable
     */
    get timeoutSeconds(): number;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainerVolumeMount extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get mountPath(): string;
    /**
     * @stability stable
     */
    get mountPropagation(): string;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get subPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecInitContainer extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get args(): string[];
    /**
     * @stability stable
     */
    get command(): string[];
    /**
     * @stability stable
     */
    get env(): any;
    /**
     * @stability stable
     */
    get envFrom(): any;
    /**
     * @stability stable
     */
    get image(): string;
    /**
     * @stability stable
     */
    get imagePullPolicy(): string;
    /**
     * @stability stable
     */
    get lifecycle(): any;
    /**
     * @stability stable
     */
    get livenessProbe(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get port(): any;
    /**
     * @stability stable
     */
    get readinessProbe(): any;
    /**
     * @stability stable
     */
    get resources(): any;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get startupProbe(): any;
    /**
     * @stability stable
     */
    get stdin(): any;
    /**
     * @stability stable
     */
    get stdinOnce(): any;
    /**
     * @stability stable
     */
    get terminationMessagePath(): string;
    /**
     * @stability stable
     */
    get terminationMessagePolicy(): string;
    /**
     * @stability stable
     */
    get tty(): any;
    /**
     * @stability stable
     */
    get volumeMount(): any;
    /**
     * @stability stable
     */
    get workingDir(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecReadinessGate extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get conditionType(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecSecurityContextSeLinuxOptions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get level(): string;
    /**
     * @stability stable
     */
    get role(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecSecurityContextSysctl extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecSecurityContext extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsGroup(): string;
    /**
     * @stability stable
     */
    get runAsGroup(): string;
    /**
     * @stability stable
     */
    get runAsNonRoot(): any;
    /**
     * @stability stable
     */
    get runAsUser(): string;
    /**
     * @stability stable
     */
    get seLinuxOptions(): any;
    /**
     * @stability stable
     */
    get supplementalGroups(): any;
    /**
     * @stability stable
     */
    get sysctl(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecToleration extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get effect(): string;
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get tolerationSeconds(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecTopologySpreadConstraintLabelSelectorMatchExpressions extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get operator(): string;
    /**
     * @stability stable
     */
    get values(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecTopologySpreadConstraintLabelSelector extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get matchExpressions(): any;
    /**
     * @stability stable
     */
    get matchLabels(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecTopologySpreadConstraint extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get labelSelector(): any;
    /**
     * @stability stable
     */
    get maxSkew(): number;
    /**
     * @stability stable
     */
    get topologyKey(): string;
    /**
     * @stability stable
     */
    get whenUnsatisfiable(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeAwsElasticBlockStore extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeAzureDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get cachingMode(): string;
    /**
     * @stability stable
     */
    get dataDiskUri(): string;
    /**
     * @stability stable
     */
    get diskName(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get kind(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeAzureFile extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretName(): string;
    /**
     * @stability stable
     */
    get secretNamespace(): string;
    /**
     * @stability stable
     */
    get shareName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCephFsSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCephFs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get monitors(): string[];
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretFile(): string;
    /**
     * @stability stable
     */
    get secretRef(): any;
    /**
     * @stability stable
     */
    get user(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCinder extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeConfigMapItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeConfigMap extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCsiControllerExpandSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCsiControllerPublishSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCsiNodePublishSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCsiNodeStageSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeCsi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get controllerExpandSecretRef(): any;
    /**
     * @stability stable
     */
    get controllerPublishSecretRef(): any;
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get nodePublishSecretRef(): any;
    /**
     * @stability stable
     */
    get nodeStageSecretRef(): any;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get volumeAttributes(): any;
    /**
     * @stability stable
     */
    get volumeHandle(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeDownwardApiItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeDownwardApi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeEmptyDir extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get medium(): string;
    /**
     * @stability stable
     */
    get sizeLimit(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeFc extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get targetWwNs(): string[];
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeFlexVolumeSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeFlexVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get driver(): string;
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get options(): any;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeFlocker extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get datasetName(): string;
    /**
     * @stability stable
     */
    get datasetUuid(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeGcePersistentDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get partition(): number;
    /**
     * @stability stable
     */
    get pdName(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeGitRepo extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get directory(): string;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    get revision(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeGlusterfs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get endpointsName(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeHostPath extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get type(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeIscsi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get iqn(): string;
    /**
     * @stability stable
     */
    get iscsiInterface(): string;
    /**
     * @stability stable
     */
    get lun(): number;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get targetPortal(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeLocal extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeNfs extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get server(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumePersistentVolumeClaim extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get claimName(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumePhotonPersistentDisk extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get pdId(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesConfigMapItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesConfigMap extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItemsFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get apiVersion(): string;
    /**
     * @stability stable
     */
    get fieldPath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItemsResourceFieldRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get containerName(): string;
    /**
     * @stability stable
     */
    get divisor(): string;
    /**
     * @stability stable
     */
    get resource(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApiItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fieldRef(): any;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
    /**
     * @stability stable
     */
    get resourceFieldRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesDownwardApi extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesSecretItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesSecret extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get optional(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSourcesServiceAccountToken extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get audience(): string;
    /**
     * @stability stable
     */
    get expirationSeconds(): number;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjectedSources extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get serviceAccountToken(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeProjected extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get sources(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeQuobyte extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get group(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get registry(): string;
    /**
     * @stability stable
     */
    get user(): string;
    /**
     * @stability stable
     */
    get volume(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeRbdSecretRef extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get namespace(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeRbd extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get cephMonitors(): string[];
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get keyring(): string;
    /**
     * @stability stable
     */
    get radosUser(): string;
    /**
     * @stability stable
     */
    get rbdImage(): string;
    /**
     * @stability stable
     */
    get rbdPool(): string;
    /**
     * @stability stable
     */
    get readOnly(): any;
    /**
     * @stability stable
     */
    get secretRef(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeSecretItems extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get key(): string;
    /**
     * @stability stable
     */
    get mode(): string;
    /**
     * @stability stable
     */
    get path(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeSecret extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get defaultMode(): string;
    /**
     * @stability stable
     */
    get items(): any;
    /**
     * @stability stable
     */
    get optional(): any;
    /**
     * @stability stable
     */
    get secretName(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolumeVsphereVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get fsType(): string;
    /**
     * @stability stable
     */
    get volumePath(): string;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1SpecVolume extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get awsElasticBlockStore(): any;
    /**
     * @stability stable
     */
    get azureDisk(): any;
    /**
     * @stability stable
     */
    get azureFile(): any;
    /**
     * @stability stable
     */
    get cephFs(): any;
    /**
     * @stability stable
     */
    get cinder(): any;
    /**
     * @stability stable
     */
    get configMap(): any;
    /**
     * @stability stable
     */
    get csi(): any;
    /**
     * @stability stable
     */
    get downwardApi(): any;
    /**
     * @stability stable
     */
    get emptyDir(): any;
    /**
     * @stability stable
     */
    get fc(): any;
    /**
     * @stability stable
     */
    get flexVolume(): any;
    /**
     * @stability stable
     */
    get flocker(): any;
    /**
     * @stability stable
     */
    get gcePersistentDisk(): any;
    /**
     * @stability stable
     */
    get gitRepo(): any;
    /**
     * @stability stable
     */
    get glusterfs(): any;
    /**
     * @stability stable
     */
    get hostPath(): any;
    /**
     * @stability stable
     */
    get iscsi(): any;
    /**
     * @stability stable
     */
    get local(): any;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get nfs(): any;
    /**
     * @stability stable
     */
    get persistentVolumeClaim(): any;
    /**
     * @stability stable
     */
    get photonPersistentDisk(): any;
    /**
     * @stability stable
     */
    get projected(): any;
    /**
     * @stability stable
     */
    get quobyte(): any;
    /**
     * @stability stable
     */
    get rbd(): any;
    /**
     * @stability stable
     */
    get secret(): any;
    /**
     * @stability stable
     */
    get vsphereVolume(): any;
}
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1Spec extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get activeDeadlineSeconds(): number;
    /**
     * @stability stable
     */
    get affinity(): any;
    /**
     * @stability stable
     */
    get automountServiceAccountToken(): any;
    /**
     * @stability stable
     */
    get container(): any;
    /**
     * @stability stable
     */
    get dnsConfig(): any;
    /**
     * @stability stable
     */
    get dnsPolicy(): string;
    /**
     * @stability stable
     */
    get enableServiceLinks(): any;
    /**
     * @stability stable
     */
    get hostAliases(): any;
    /**
     * @stability stable
     */
    get hostIpc(): any;
    /**
     * @stability stable
     */
    get hostNetwork(): any;
    /**
     * @stability stable
     */
    get hostPid(): any;
    /**
     * @stability stable
     */
    get hostname(): string;
    /**
     * @stability stable
     */
    get imagePullSecrets(): any;
    /**
     * @stability stable
     */
    get initContainer(): any;
    /**
     * @stability stable
     */
    get nodeName(): string;
    /**
     * @stability stable
     */
    get nodeSelector(): any;
    /**
     * @stability stable
     */
    get priorityClassName(): string;
    /**
     * @stability stable
     */
    get readinessGate(): any;
    /**
     * @stability stable
     */
    get restartPolicy(): string;
    /**
     * @stability stable
     */
    get securityContext(): any;
    /**
     * @stability stable
     */
    get serviceAccountName(): string;
    /**
     * @stability stable
     */
    get shareProcessNamespace(): any;
    /**
     * @stability stable
     */
    get subdomain(): string;
    /**
     * @stability stable
     */
    get terminationGracePeriodSeconds(): number;
    /**
     * @stability stable
     */
    get toleration(): any;
    /**
     * @stability stable
     */
    get topologySpreadConstraint(): any;
    /**
     * @stability stable
     */
    get volume(): any;
}
/**
 * @stability stable
 */
export interface DataKubernetesPodV1Metadata {
    /**
     * An unstructured key value map stored with the pod that may be used to store arbitrary metadata.
     *
     * More info: http://kubernetes.io/docs/user-guide/annotations
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#annotations DataKubernetesPodV1#annotations}
     *
     * @stability stable
     */
    readonly annotations?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Prefix, used by the server, to generate a unique name ONLY IF the `name` field has not been provided.
     *
     * This value will also be combined with a unique suffix. Read more: https://github.com/kubernetes/community/blob/master/contributors/devel/sig-architecture/api-conventions.md#idempotency
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#generate_name DataKubernetesPodV1#generate_name}
     *
     * @stability stable
     */
    readonly generateName?: string;
    /**
     * Map of string keys and values that can be used to organize and categorize (scope and select) the pod.
     *
     * May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#labels DataKubernetesPodV1#labels}
     *
     * @stability stable
     */
    readonly labels?: {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * Name of the pod, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#name DataKubernetesPodV1#name}
     *
     * @stability stable
     */
    readonly name?: string;
    /**
     * Namespace defines the space within which name of the pod must be unique.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html#namespace DataKubernetesPodV1#namespace}
     *
     * @stability stable
     */
    readonly namespace?: string;
}
export declare function dataKubernetesPodV1MetadataToTerraform(struct?: DataKubernetesPodV1MetadataOutputReference | DataKubernetesPodV1Metadata): any;
/**
 * @stability stable
 */
export declare class DataKubernetesPodV1MetadataOutputReference extends cdktf.ComplexObject {
    private isEmptyObject;
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    /**
     * @stability stable
     */
    get internalValue(): DataKubernetesPodV1Metadata | undefined;
    /**
     * @stability stable
     */
    set internalValue(value: DataKubernetesPodV1Metadata | undefined);
    private _annotations?;
    /**
     * @stability stable
     */
    get annotations(): {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set annotations(value: {
        [key: string]: string;
    } | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetAnnotations(): void;
    /**
     * @stability stable
     */
    get annotationsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _generateName?;
    /**
     * @stability stable
     */
    get generateName(): string;
    /**
     * @stability stable
     */
    set generateName(value: string);
    /**
     * @stability stable
     */
    resetGenerateName(): void;
    /**
     * @stability stable
     */
    get generateNameInput(): string | undefined;
    private _labels?;
    /**
     * @stability stable
     */
    get labels(): {
        [key: string]: string;
    } | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set labels(value: {
        [key: string]: string;
    } | cdktf.IResolvable);
    /**
     * @stability stable
     */
    resetLabels(): void;
    /**
     * @stability stable
     */
    get labelsInput(): cdktf.IResolvable | {
        [key: string]: string;
    } | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namespace?;
    /**
     * @stability stable
     */
    get namespace(): string;
    /**
     * @stability stable
     */
    set namespace(value: string);
    /**
     * @stability stable
     */
    resetNamespace(): void;
    /**
     * @stability stable
     */
    get namespaceInput(): string | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html kubernetes_pod_v1}.
 *
 * @stability stable
 */
export declare class DataKubernetesPodV1 extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/kubernetes/d/pod_v1.html kubernetes_pod_v1} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataKubernetesPodV1Config);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    spec(index: string): DataKubernetesPodV1Spec;
    /**
     * @stability stable
     */
    get status(): string;
    private _metadata;
    /**
     * @stability stable
     */
    get metadata(): DataKubernetesPodV1MetadataOutputReference;
    /**
     * @stability stable
     */
    putMetadata(value: DataKubernetesPodV1Metadata): void;
    /**
     * @stability stable
     */
    get metadataInput(): DataKubernetesPodV1Metadata | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
